Create an alerts index
Base URL
https://{kibana_url}
POST
/api/detection_engine/index
Auth
Creates an index for Elastic Security alerts. Calling this API is not
required for the detection engine to function properly. You can create
rules and alerts without calling this API.
Expand all
acknowledged
boolean
required
401
Unsuccessful authentication response
application/json
statusCode
integer
required
403
Not enough permissions response
application/json
status_code
integer
required
status_code
integer
required
500
Internal server error response
application/json
status_code
integer
required
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
POST kbn:/api/detection_engine/index
Generated from the API spec
1
2
curl -X POST "${KIBANA_URL}/api/detection_engine/index" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
1
2
3
{
"acknowledged": true
}
1
2
3
4
5
{
"error": "Unauthorized",
"message": "[security_exception\n\tRoot causes:\n\t\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
"statusCode": 401
}
1
2
3
4
{
"message": "API [POST /api/detection_engine/index] is unauthorized for the current user. The user must be able to create indices for the Elastic Security solution.",
"status_code": 403
}
1
2
3
4
{
"message": "A prerequisite resource required to create the alerts index was not found.",
"status_code": 404
}
1
2
3
4
{
"message": "Internal Server Error",
"status_code": 500
}